org.apache.olingo.commons.api.edm.provider

## Class CsdlAnnotations

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlAnnotations

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlAnnotations
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The type Csdl annotations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlAnnotations()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlAnnotation` | `getAnnotation(String term)` Gets annotation.
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getQualifier()` Gets qualifier.
    `String` | `getTarget()` Gets target.
    `CsdlAnnotations` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlAnnotations` | `setQualifier(String qualifier)` Sets qualifier.
    `CsdlAnnotations` | `setTarget(String target)` Sets target.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlAnnotations

          public CsdlAnnotations()

  - ### Method Detail

    - #### getTarget

          public String getTarget()

      Gets target.
      Returns:
        the target

    - #### setTarget

          public CsdlAnnotations setTarget(String target)

      Sets target.
      Parameters:
        `target` - the target
      Returns:
        the target

    - #### getQualifier

          public String getQualifier()

      Gets qualifier.
      Returns:
        the qualifier

    - #### setQualifier

          public CsdlAnnotations setQualifier(String qualifier)

      Sets qualifier.
      Parameters:
        `qualifier` - the qualifier
      Returns:
        the qualifier

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlAnnotations setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### getAnnotation

          public CsdlAnnotation getAnnotation(String term)

      Gets annotation.
      Parameters:
        `term` - the term
      Returns:
        the annotation

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.